
#include <string>
#include <iostream>
#include <fstream>

template<typename T>
T read_value_from_file (const std::string& fname)
{
  std::ifstream f (fname.c_str());
  T t;
  if (f.is_open()) {
    f.setf (std::ios::hex, std::ios::basefield);
    f >> t;
  }
  return t;
}
